//Any generic styles for the site. Shouldn't have any classes or ids for selectors.

*,
*:before,
*:after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  box-sizing: border-box;
  width: 100%;
  height: 100%;
}

body {
  font-family: $font;
  background: #f3f3f3;
}

#root,
.limit-width {
  height: 100%;
}

button {
  border: 0;
  cursor: pointer;
  text-transform: uppercase;
  -webkit-appearance: none;
}

a {
  text-decoration: none;
  color: #f3f3f3;

  a:link,
  a:visited,
  a:hover,
  a:active {
    color: inherit;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  color: inherit;
  line-height: 1em;
}

p {
  margin: 0;
}

ol,
ul,
dl {
  margin: 0;
}

input::placeholder {
  color: inherit;
}

.ant-spin-dot-item {
  background: #532c2e;
}

.ant-spin-spinning {
  display: block;
  margin: auto;
}

.modal-report {
  z-index: 1000;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: none;

  &-visible {
    display: flex;
    justify-content: center;
  }

  &-bkg {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #000000 0% 0% no-repeat padding-box;
    opacity: .7;
    backdrop-filter: blur(19px);
    -webkit-backdrop-filter: blur(19px);
  }

  &-modal {
    max-height: 90vh;
    overflow: hidden;
    width: 70vw;
    background: #ECECEC;
    z-index: 1;
    position: relative;
    display: grid;
    grid-template-columns: 40% 60%;

    &-report {
      box-shadow: 0px 3px 6px #00000029;
      z-index: 1;
      color: #484848;

      &-header {
        padding-top: 1em;
        padding-bottom: 1em;
        height: auto;
        background: #FFFFFF;
        text-align: center;

        h2 {
          font-weight: 700;
          margin: .5em 0;
          padding: 0 5px;
          font-size: 2em;
        }
      }

      &-cards {
        overflow: auto;
        max-height: calc(90vh - 140px);

        &-card {
          margin: 1em;
          background: #fff;
          box-shadow: 0px 3px 6px #00000029;
          padding: .5em 1em;

          h2 {
            text-transform: uppercase;
            font-weight: bold;
            font-size: larger;
            width: auto;
            padding: .5em 0;
            border-bottom: 1px solid #532C2E;
            margin-bottom: .5em;
          }

          span {
            font-weight: 600;
          }

          p {
            font-size: smaller;
          }

          &--active {
            border: 1px solid #F4C710;

            h2 {
              border-color: #F4C710;
            }
          }
        }
      }
    }

    .btn-x {
      color: #979797;
      z-index: 2;
      cursor: pointer;
      position: absolute;
      font-size: 1.5em;
      right: 5px;
      top: 5px;
    }

    &-contact {
      background: #F3C90F;
    }
  }

  .contact-component-content {
    margin: 5em 2em;
    color: #fff;
    position: relative;
    z-index: 1;
    text-align: center;

    h1 {
      font-weight: 600;
    }
  }

  .contact-form {
    margin-top: 1em;

    .ant-form-item {
      margin-bottom: 1em;
    }

    @media screen and (min-width: 1400px) {
      margin: 4em 1em;
    }

    &-products {
      color: #fff;
      min-height: 120px;

      p:first-child {
        flex: none;
        font-weight: 700;
        text-align: left;
        border-bottom: 2px solid #fff;
      }

      span {
        margin: 0 auto;
        font-weight: 600;
        opacity: 1;
        display: block;
        line-height: 90px;
      }

      &--list {
        display: flex;
        overflow: auto;
        width: 100%;
        height: auto;

        img {
          display: none;
        }

        p {
          font-size: smaller;
          color: #333;
        }

        &-item {
          cursor: pointer;
          display: inherit;
          justify-content: center;
          align-items: center;
          max-width: 120px;
          min-height: 80px;
          background: #fff;
          padding: .5em;
          align-items: center;
          box-shadow: 0px 3px 6px #00000029;
          z-index: 1;
          margin: 0 .5em .5em 0;
          max-height: 200px;
          width: auto;

          p {
            font-weight: bold;
            border-bottom: 1px solid #532C2E;
          }
        }
      }
    }

    &-button {
      border: none;
      background: #532C2E;
      font-weight: 700;
    }

    &-terms {
      font-size: smaller;
      color: #484848;
    }
  }

  @media screen and (max-width: 1023px) {

    &-modal {
      grid-template-columns: 1fr;
      grid-template-rows: 1fr 2fr;
      color: #484848;
      overflow: hidden;
      width: inherit;
      width: 90vw;
      height: 90vh;

      &-report {
        width: 90vw;

        &-header {
          width: 100%;
          overflow: auto;

          h2 {
            font-weight: 600;
            margin-bottom: .5em;
          }
        }

        &-cards {
          display: flex;
          overflow: auto;
          width: 100%;
          height: auto;

          &-card {
            display: inherit;
            align-items: center;
            margin: 1em .5em;
            //height: fit-content;
            max-height: 200px;
            width: auto;

            h2 {
              width: 100%;
            }

            p {
              display: none;
            }
          }
        }
      }

      &-contact {
        overflow: auto;
      }
    }

  }
}

.modal-article {
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: none;

  &-visible {
    display: flex;
    justify-content: center;
  }

  &-bkg {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #000000 0% 0% no-repeat padding-box;
    opacity: .7;
    backdrop-filter: blur(19px);
    -webkit-backdrop-filter: blur(19px);
  }

  &-modal {
    background: #f3f3f3;
    height: auto;
    max-height: 70vh;
    overflow: auto;
    z-index: 1;
    padding-bottom: 2em;
    position: relative;

    .blog-article {
      width: 800px;
      margin: auto;
    }
  }

  &-header {
    height: calc(180px + 3em);
    background: url('../assets/img/blog-header.jpg') no-repeat;
    background-size: cover;
    color: #fff;
    display: flex;
    justify-content: center;
    flex-direction: column;
    position: relative;

    h1 {
      font-weight: 700;
      text-align: center;
      line-height: 1em;
      font-size: 3em;
      text-transform: uppercase;
      text-shadow: 0px 13px 6px #0000006F;
      width: 960px;
      margin: 0 auto;
      padding-top: 20px;
      word-wrap: break-word;

      @media screen and (min-width: 1200px) {
        font-size: 48px;
      }
    }

    &-badges {
      width: 800px;
      margin: 0 auto;
      position: absolute;
      bottom: 0;
      left: calc((100% - 800px) / 2);

      .modal-badge {
        display: inline-block;
        margin-right: 1em;

        img {
          width: 56px;
          height: 56px;
        }
      }
    }
  }

  .btn-x {
    color: #fff;
    cursor: pointer;
    position: absolute;
    font-size: 2em;
    right: 20px;
    top: 15px;
    z-index: 1;
  }

  @media (max-width: 992px) {
    margin: auto;

    &-modal {
      max-height: 80vh;
    }

    .blog-article,
    &-modal,
    &-header,
    &-header h1 {
      width: 90vw;
    }

    &-header h1 {
      font-size: 9vw;
      //font-size: 2.5em;
    }

    &-header-badges {
      width: inherit;
      left: calc((100% - 90vw) / 2);

      .modal-badge {
        margin-right: .5em;

        img {
          width: 36px;
          height: 36px;
        }
      }
    }
  }
}